/*
Copyright © 2021 NAME HERE <EMAIL ADDRESS>

*/
package cmd

import (
	"git.nagee.dev/isthisnagee/diary/model"

	"github.com/spf13/cobra"
)

// listCmd represents the list command
var listCmd = &cobra.Command{
	Use:   "list",
	Short: "List all the diary entries, newest first",
	Long: `List all the entries, starting from the newest.
	To list the entries added today:

	$ diary list today
	`,
	Run: func(cmd *cobra.Command, args []string) {
		results := App.Db.GetDiaryEntries(model.GetDiaryEntriesQuery{})
		PrintEntries(results)
	},
}

func init() {
	rootCmd.AddCommand(listCmd)
}
